MONGOC_CLIENT_GET_SERVER_STATUS(3)

NAME
mongoc_client_get_server_status - mongoc_client_get_server_status()

WARNING: Deprecated since version 1.10.0: This function is deprecated and should not be used in new code.

Run the serverStatus command directly with mongoc_client_read_command_with_opts() instead.

SYNOPSIS

bool
mongoc_client_get_server_status (mongoc_client_t *client,
                                 mongoc_read_prefs_t *read_prefs,
                                 bson_t *reply,
                                 bson_error_t *error) BSON_GNUC_DEPRECATED;

Queries the server for the current server status. The result is stored in reply.

reply is always initialized, even in the case of failure. Always call bson_destroy() to release it.

PARAMETERS

•   client: A mongoc_client_t.

•   read_prefs: A mongoc_read_prefs_t.

•   reply: A location for the result bson_t.

•   error: An optional location for a bson_error_t or NULL.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc